nand_get_device
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_get_device — [GENERIC] Get chip for selected access

## Synopsis

`int nand_get_device (` | struct nand_chip * | chip,
| struct mtd_info * | mtd,
| int | new_state`)`;

## Arguments

`chip`

  the nand chip descriptor

`mtd`

  MTD device structure

`new_state`

  the state which is requested

## Description

Get the device and lock it for exclusive access

Prev | Up | Next
nand_command_lp | Home | nand_wait